petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStrlen

Gets length of a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrlen(const char s[],size_t *len)

Not Collective

### Input Parameters

s -pointer to string

### Output Parameter

len -length in bytes

### Note

This routine is analogous to strlen().

Null string returns a length of zero

Not for use in Fortran

### Level

intermediate

### Location

src/sys/utils/str.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages